Create an application by the logged in developer.
POST /api/applications
POST /api/applicationsInteractive request editor loads with JavaScript.
Authorization
BearerAuth DeveloperIDHeader AuthorizationBearer <token>
In: header
X-Portal-Developer-ID<token>
In: header
Request Body
application/json
body*unknown
Create an application request.
Response Body
application/json
application/json
application/json
curl -X POST "$API_BASE_URL/api/applications" \ -H "Content-Type: application/json" \ -d '{}'{
"name": "us-west-rsc",
"desc": "Object description.",
"labels": {
"version": "v2",
"env": "prod"
},
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"created_at": "2025-01-01T00:00:00.000Z",
"updated_at": "2025-01-01T00:00:00.000Z"
}Bad request.
{
"status": 400,
"message": "error message"
}Unauthorized.
{
"status": 401,
"message": "unauthorized"
}Internal server error.
Complete operation details and schema variants
POST /api/applications
Create an application by the logged in developer.
Parameters
Request body
Content type: application/json
name(string, optional): The object name.desc(string, optional): The object description.labels(object, optional): Key-value pairs of labels.
Responses
201:- allOf variant 1
name(string, required): The object name.desc(string, optional): The object description.labels(object, optional): Key-value pairs of labels.- allOf variant 2
id(string, required): The object ID.created_at(string, required): The time when the object was created in ISO 8601 format.updated_at(string, required): The time when the object was last updated in ISO 8601 format.400: Bad request.status(integer, required): The HTTP status code of the error response.message(string, required): The error message.401: Unauthorized. Response fields (application/json): identical toPOST /api/applications, response 400 above.500: Internal server error.
cURL
curl -X POST '$API_BASE_URL/api/applications'